pkgsrc-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[pkgsrc/trunk]: pkgsrc/devel/gmp Make this work on IRIX, by passing -c99 (if ...



details:   https://anonhg.NetBSD.org/pkgsrc/rev/944b6f089c2f
branches:  trunk
changeset: 501383:944b6f089c2f
user:      jschauma <jschauma%pkgsrc.org@localhost>
date:      Fri Oct 21 15:46:43 2005 +0000

description:
Make this work on IRIX, by passing -c99 (if mipspro is used) and by
ensuring that the conftests are actually removed and therefor capabilities
can actually be detected (rather than configure failing for them)

diffstat:

 devel/gmp/Makefile         |    8 +-
 devel/gmp/distinfo         |    4 +-
 devel/gmp/patches/patch-ac |  371 ++++++++++++++++++++++++++++++++++++++++++++-
 3 files changed, 377 insertions(+), 6 deletions(-)

diffs (truncated from 419 to 300 lines):

diff -r 8003b3409190 -r 944b6f089c2f devel/gmp/Makefile
--- a/devel/gmp/Makefile        Fri Oct 21 15:30:13 2005 +0000
+++ b/devel/gmp/Makefile        Fri Oct 21 15:46:43 2005 +0000
@@ -1,4 +1,4 @@
-# $NetBSD: Makefile,v 1.36 2005/05/22 20:07:51 jlam Exp $
+# $NetBSD: Makefile,v 1.37 2005/10/21 15:46:43 jschauma Exp $
 
 DISTNAME=      gmp-4.1.4
 PKGREVISION=   1
@@ -27,6 +27,12 @@
 ABI=                   o32
 .endif
 
+.include "../../mk/compiler.mk"
+
+.if !empty(PKGSRC_COMPILER:Mmipspro)
+CFLAGS+=       -c99
+.endif
+
 .if ${MACHINE_ARCH} == "arm" || ${MACHINE_ARCH} == "arm32"
 # The configure script thinks gcc 2.95 for ARM is too buggy to use.
 GCC_REQD+=             3.0
diff -r 8003b3409190 -r 944b6f089c2f devel/gmp/distinfo
--- a/devel/gmp/distinfo        Fri Oct 21 15:30:13 2005 +0000
+++ b/devel/gmp/distinfo        Fri Oct 21 15:46:43 2005 +0000
@@ -1,8 +1,8 @@
-$NetBSD: distinfo,v 1.15 2005/06/14 14:28:32 jschauma Exp $
+$NetBSD: distinfo,v 1.16 2005/10/21 15:46:43 jschauma Exp $
 
 SHA1 (gmp-4.1.4.tar.bz2) = 21bf0e934fb31784487827f358e00077602145e7
 RMD160 (gmp-4.1.4.tar.bz2) = bde4d1f217606f79490372eed8356039b06d4aac
 Size (gmp-4.1.4.tar.bz2) = 1681267 bytes
 SHA1 (patch-aa) = 6e143257bd0ce6a99fa81fc2e2b4476c7be77077
 SHA1 (patch-ab) = 6c8eccf2c483018f7e1326899924d88554a39edf
-SHA1 (patch-ac) = 6a21b0ab4ba56aabc5b9d66586003063c537777a
+SHA1 (patch-ac) = 7396172453402f02926525796164d5c8cfddaa96
diff -r 8003b3409190 -r 944b6f089c2f devel/gmp/patches/patch-ac
--- a/devel/gmp/patches/patch-ac        Fri Oct 21 15:30:13 2005 +0000
+++ b/devel/gmp/patches/patch-ac        Fri Oct 21 15:46:43 2005 +0000
@@ -1,7 +1,7 @@
-$NetBSD: patch-ac,v 1.3 2005/05/10 02:31:38 jschauma Exp $
+$NetBSD: patch-ac,v 1.4 2005/10/21 15:46:43 jschauma Exp $
 
---- configure.orig     Mon May  9 22:09:19 2005
-+++ configure  Mon May  9 22:10:00 2005
+--- configure.orig     Fri Oct 21 10:52:28 2005
++++ configure  Fri Oct 21 10:52:20 2005
 @@ -2269,7 +2269,7 @@
  echo "include_mpn(\`mips32/mips-defs.m4')" >> $gmp_tmpconfigm4i
  
@@ -11,3 +11,368 @@
          abilist="n32 64 o32"
  
          cclist_n32="gcc cc"
+@@ -2844,7 +2844,7 @@
+   ac_status=$?
+   echo "$as_me:2845: \$? = $ac_status" >&5
+   (exit $ac_status); }; then
+-  rm -f conftest*
++  rm -rf conftest*
+   echo "$as_me:2848: checking whether $cc is gcc" >&5
+ echo $ECHO_N "checking whether $cc is gcc... $ECHO_C" >&6
+   echo "$as_me:2850: result: yes" >&5
+@@ -2851,7 +2851,7 @@
+ echo "${ECHO_T}yes" >&6
+   ccbase=gcc
+ else
+-  rm -f conftest*
++  rm -rf conftest*
+   :
+ fi
+ 
+@@ -2941,7 +2941,7 @@
+     gmp_prog_cc_works=yes
+   fi
+ fi
+-rm -f conftest* a.out a.exe
++rm -rf conftest* a.out a.exe
+ echo "$as_me:2945: result: $gmp_prog_cc_works" >&5
+ echo "${ECHO_T}$gmp_prog_cc_works" >&6
+ if test $gmp_prog_cc_works = yes; then
+@@ -3037,7 +3037,7 @@
+     result=no
+   fi
+ fi
+-rm -f conftest.*
++rm -rf conftest.*
+ echo "$as_me:3041: result: $result" >&5
+ echo "${ECHO_T}$result" >&6
+ if test $result = yes; then
+@@ -3135,7 +3135,7 @@
+     fi
+   fi
+   cat conftest.out >&5
+-  rm -f conftest* a.out
++  rm -rf conftest* a.out
+   echo "$as_me:3139: result: $result" >&5
+ echo "${ECHO_T}$result" >&6
+   if test "$result" = yes; then
+@@ -3168,7 +3168,7 @@
+   fi
+ fi
+ cat conftest.out >&5
+-rm -f conftest*
++rm -rf conftest*
+ echo "$as_me:3172: result: $result" >&5
+ echo "${ECHO_T}$result" >&6
+ if test "$result" = yes; then
+@@ -3228,7 +3228,7 @@
+     gmp_prog_cc_works=yes
+   fi
+ fi
+-rm -f conftest* a.out a.exe
++rm -rf conftest* a.out a.exe
+ echo "$as_me:3232: result: $gmp_prog_cc_works" >&5
+ echo "${ECHO_T}$gmp_prog_cc_works" >&6
+ if test $gmp_prog_cc_works = yes; then
+@@ -3749,11 +3749,11 @@
+    { (exit 1); exit 1; }; }
+ fi
+ 
+-rm -f conftest$ac_cv_exeext
++rm -rf conftest$ac_cv_exeext
+ echo "$as_me:3753: result: $ac_cv_exeext" >&5
+ echo "${ECHO_T}$ac_cv_exeext" >&6
+ 
+-rm -f conftest.$ac_ext
++rm -rf conftest.$ac_ext
+ EXEEXT=$ac_cv_exeext
+ ac_exeext=$EXEEXT
+ echo "$as_me:3759: checking for object suffix" >&5
+@@ -3995,7 +3995,7 @@
+ fi
+ rm -f conftest.$ac_objext conftest.$ac_ext
+ done
+-rm -f conftest*
++rm -rf conftest*
+ if test -n "$ac_declaration"; then
+   echo '#ifdef __cplusplus' >>confdefs.h
+   echo $ac_declaration      >>confdefs.h
+@@ -4744,7 +4744,7 @@
+ fi
+ rm -f conftest.$ac_objext conftest.$ac_ext
+ done
+-rm -f conftest*
++rm -rf conftest*
+ if test -n "$ac_declaration"; then
+   echo '#ifdef __cplusplus' >>confdefs.h
+   echo $ac_declaration      >>confdefs.h
+@@ -4869,13 +4869,13 @@
+   ac_status=$?
+   echo "$as_me:4870: \$? = $ac_status" >&5
+   (exit $ac_status); }; then
+-  rm -f conftest*
++  rm -rf conftest*
+   echo "$as_me:4873: result: yes" >&5
+ echo "${ECHO_T}yes" >&6
+   want_cxx=yes
+       break
+ else
+-  rm -f conftest*
++  rm -rf conftest*
+   echo "$as_me:4879: result: no" >&5
+ echo "${ECHO_T}no" >&6
+   :
+@@ -5119,7 +5119,7 @@
+ else
+   add_path="cray/cfp"; extra_functions="mulwwc90"
+ fi
+-rm -f conftest*
++rm -rf conftest*
+  ;;
+   j90 | sv1)
+     extra_functions="mulwwj90"
+@@ -5329,7 +5329,7 @@
+ else
+   ac_cv_header_stdc=no
+ fi
+-rm -f conftest*
++rm -rf conftest*
+ 
+ fi
+ 
+@@ -5347,7 +5347,7 @@
+ else
+   ac_cv_header_stdc=no
+ fi
+-rm -f conftest*
++rm -rf conftest*
+ 
+ fi
+ 
+@@ -5774,7 +5774,7 @@
+         fi
+       fi
+     done
+-    rm -f conftest*
++    rm -rf conftest*
+     if test -z "$gmp_cv_prog_host_cc"; then
+       { { echo "$as_me:5779: error: cannot find a build system compiler" >&5
+ echo "$as_me: error: cannot find a build system compiler" >&2;}
+@@ -6835,7 +6835,7 @@
+   # Check to see that the pipe works correctly.
+   pipe_works=no
+ 
+-  rm -f conftest*
++  rm -rf conftest*
+   cat > conftest.$ac_ext <<EOF
+ #ifdef __cplusplus
+ extern "C" {
+@@ -6932,7 +6932,7 @@
+     echo "$progname: failed program was:" >&5
+     cat conftest.$ac_ext >&5
+   fi
+-  rm -f conftest* conftst*
++  rm -rf conftest* conftst*
+ 
+   # Do not use the global_symbol_pipe unless it works.
+   if test "$pipe_works" = yes; then
+@@ -16362,7 +16362,7 @@
+   cat conftest.s >&5
+   gmp_cv_asm_x86_mmx=no
+ fi
+-rm -f conftest*
++rm -rf conftest*
+ 
+ fi
+ echo "$as_me:16368: result: $gmp_cv_asm_x86_mmx" >&5
+@@ -16445,7 +16445,7 @@
+   cat conftest.s >&5
+   gmp_cv_asm_x86_sse2=no
+ fi
+-rm -f conftest*
++rm -rf conftest*
+ 
+ fi
+ echo "$as_me:16451: result: $gmp_cv_asm_x86_sse2" >&5
+@@ -16541,7 +16541,7 @@
+ else
+   ac_cv_header_stdc=no
+ fi
+-rm -f conftest*
++rm -rf conftest*
+ 
+ fi
+ 
+@@ -16559,7 +16559,7 @@
+ else
+   ac_cv_header_stdc=no
+ fi
+-rm -f conftest*
++rm -rf conftest*
+ 
+ fi
+ 
+@@ -17376,7 +17376,7 @@
+ else
+   ac_cv_c_stringize=yes
+ fi
+-rm -f conftest*
++rm -rf conftest*
+ 
+ fi
+ echo "$as_me:17382: result: $ac_cv_c_stringize" >&5
+@@ -17566,7 +17566,7 @@
+   gmp_cv_c_attribute_malloc=no
+ fi
+ cat conftest.out >&5
+-rm -f conftest*
++rm -rf conftest*
+ 
+ fi
+ echo "$as_me:17572: result: $gmp_cv_c_attribute_malloc" >&5
+@@ -19405,10 +19405,10 @@
+   cat conftest.s >&5
+   :
+ fi
+-rm -f conftest*
++rm -rf conftest*
+ 
+ done
+-rm -f conftest*
++rm -rf conftest*
+ 
+ fi
+ echo "$as_me:19414: result: $gmp_cv_asm_type" >&5
+@@ -19441,7 +19441,7 @@
+   cat conftest.s >&5
+   :
+ fi
+-rm -f conftest*
++rm -rf conftest*
+ 
+ fi
+ echo "$as_me:19447: result: $gmp_cv_asm_size" >&5
+@@ -19491,10 +19491,10 @@
+   cat conftest.s >&5
+   :
+ fi
+-rm -f conftest*



Home | Main Index | Thread Index | Old Index